FUNCTION define_L2TLGS
;--------------------------------------------------------------------------------
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre
U_par = replicate({parametre},Nu_par) ; Definition of Un directional products
N=0
U_par[N] = {parametre,'DQX1-Nb_Dir'     ,15,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX1-Cent_pixel' ,16,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX1-Forest'     ,17,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX1-Snow'       ,18,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX2-Snow_MTO'   ,15,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX2-Ice'        ,16,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX2-No-140'    ,17,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX2-Cld-443St'  ,18,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX3-Cld-Papp'   ,11,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX3-Cld_443We'  ,12,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX3-Cld_Dir'    ,13,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX3-Cld-CldBow' ,14,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX3-Cld-Neighb' ,18,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'NbPixClair'      ,-5,17,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX5-IQaer'      , 1,16,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX6-aer1'       ,11,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX6-aer2'       ,12,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX6-aer3'       ,13,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX6-aer4'       ,14,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'DQX7-BRDF-aer'   ,11,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
Nu_par = N  
U_par = U_par[0:N-1]
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
N = 0
D_par = replicate({parametre},Nd_par>1) ; Definition of Un directional products
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = replicate({combi},Nc_par>1)
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = replicate({combi},Ncd_par>1) ; Definition of directional products
;
;  resol est la resolution du produit (pixels par degres; 18, 6 ou 2)
;
product={type:'L2TLGS',resol:18,Nbyte_tot:21,Nbyte_nd:21,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
RETURN,product
END
