FUNCTION define_L2TLGA,PARASOL=parasol
;--------------------------------------------------------------------------------
; Definition of Un directional products
Nu_par = 99  ;  Number
U_par = replicate({parametre},Nu_par) 
N=0
;U_par[N] = {parametre,'DQX1-Nb_Dir'   ,15,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX1-Cent_pix.',16,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX1-Forest   ',17,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX1-Snow     ',18,20,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX2-Snow_MTO ',15,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX2-Ice      ',16,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX2-No-140�  ',17,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX2-Cld-443St',18,19,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Cld-Papp ',11,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Cld_443We',12,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Cld_Dir  ',13,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Cld-ClBow',14,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Cld-Neigh',18,18,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'NbPixClair    ',-5,17,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX5-IQaer    ', 1,16,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX6-aer1     ',11,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX6-aer2     ',12,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX6-aer3     ',13,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX6-aer4     ',14,15,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX7-BRDF-aer ',11,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Zenith'  , 2,21,'deg.'   ,0.1 ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Azim'    , 1,23,'deg.'   ,1.42,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Numb. Dir.'    , 1,24,'no unit',1.  ,0.,  0,0,0} & N=N+1
Nu_par = N  
U_par = U_par[0:N-1]
;--------------------------------------------------------------------------------
; Definition of Un directional products
Nd_par = 99   ;  Number of directional products
N = 0
D_par = replicate({parametre},Nd_par) 
D_par[N] = {parametre,'Sequence numb.', 1, 0,'no unit',1.0  , 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'View Zenith'   , 2, 1,'deg.'   ,0.1  , 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Relat. Azim'   , 2, 3,'deg.'   ,0.1  , 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Surf Ref 443'  , 2, 5,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1 & N1=N-1 & IF parasol THEN D_par[N-1].name='Surf Ref 490'
D_par[N] = {parametre,'Surf Ref 565'  , 2, 7,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1 & N2=N-1
D_par[N] = {parametre,'Surf Ref 670'  , 2, 9,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1 & N3=N-1
D_par[N] = {parametre,'Surf Ref 765'  , 2,11,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1 & N4=N-1
D_par[N] = {parametre,'Surf Ref 865'  , 2,13,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1 & N5=N-1
IF parasol THEN BEGIN
D_par[N] = {parametre,'Surf Ref 1020' , 2,15,'%'      ,0.1  , 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'S_Ref Pol 865' , 2,17,'%'      ,1.E-2,-100. ,  0,0,0} & N=N+1
ENDIF ELSE BEGIN
D_par[N] = {parametre,'S_Ref Pol 865' , 2,15,'%'      ,1.E-2,-100. ,  0,0,0} & N=N+1
ENDELSE

Nd_par = N  
D_par = D_par[0:N-1]
;--------------------------------------------------------------------------------
; D�finition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = replicate({combi},Nc_par>1)
;--------------------------------------------------------------------------------
; D�finition des combinaisons "directionnel"
Ncd_par = 2    ;  Number of Multi-parameter non directional
Cd_par = replicate({combi},Ncd_par) ; Definition of directional products
Cd_par[0] = {combi,'CompColor VIS'  ,N3,N2,N1}
Cd_par[1] = {combi,'CompColor 3CHAN',N5,N3,N1}
;
;  resol est la resolution du produit (pixels par degres; 18, 6 ou 2)
;
IF parasol THEN $
  product={type:'L2TLGA',resol:18,Nbyte_tot:329,Nbyte_nd:25,Nbyte_d:19,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par} $
ELSE $
  product={type:'L2TLGA',resol:18,Nbyte_tot:263,Nbyte_nd:25,Nbyte_d:17,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}

RETURN,product
END
