FUNCTION define_L2TOGV,PARASOL=parasol
COMMON COM_L2TOGV,P
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) 
;U_par[N] = {parametre,'algo comp CAS2 ',11,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'algo comp CAS3 ',12,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'R trop gd      ',13,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'test dir vis   ',15,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'test nbpix     ',16,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'test GLITTER   ',17,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'test GLITTER2  ',18,15,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'ept trop petite',15,16,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'algo modele fix',16,16,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'algo complet   ',17,16,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'algo comp CAS1 ',18,16,'no unit ', 1.0 ,  0.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Zenith'    , 2,17,'deg.'   , 0.1  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Azim'      , 1,19,'deg.'   , 1.42 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Nb dir '         , 1,20,'no unit',1.    , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Nb pix. du Spix' , 1,21,'no unit',1.    , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ind ref pt mode' , 1,22,'no unit',0.01  , 1. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ind ref gd mode' , 1,23,'no unit',0.01  , 1. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ray eff pt mode' , 1,24,'m'     ,0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ray eff gr mode' , 1,25,'m'     ,0.05  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Non Spheric. In' , 1,26,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Op. Thi pt mode' , 2,27,'no unit',0.002 , 0  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Op. Thi totale ' , 2,29,'no unit',0.002 , 0  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Angstrom coef'   , 2,31,'no unit',0.01  ,-0.5,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ecart Lum'       , 2,33,      '%',0.01  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Ecart LumPol'    , 2,35,      '%',0.01  , 0. ,  0,0,0} & N=N+1

U_par[N] = {parametre,'Quality Index'  , 1,37,'no unit',1.    , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'670 nm Opt Thi' , 2,38,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Single Scat. A' , 1,40,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aer. Asym Fact.', 1,41,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aer Eff. radius', 1,42,'m     ',0.05  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine OptThi 670', 2,43,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine Angs. Coef', 2,45,'no unit',0.01  ,-0.5,  0,0,0} & N=N+1
U_par[N] = {parametre,'Tau865 Coar Sph', 2,47,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Tau865 Coar NoS', 2,49,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'beta_log_565   ', 2,51,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'beta_log_1020  ', 2,53,'no unit',0.005 , 0. ,  0,0,0} & N=N+1

Nu_par = N  
U_par = U_par[0:N-1]
;U_par  = A  ;  Pas de parametre non-directionnel ici
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 99   ;  Number of directional products
D_par = replicate({parametre},Nd_par) ; Definition of Un directional products
N = 0
P = INTARR(12)
D_par[N] = {parametre,'Zenith View.'     , 2, 0,'deg.'   ,1.E-1, 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Relative Azim.'   , 2, 2,'deg.'   ,2.E-1, 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Diffusion'        , 2, 4,'deg.'   ,2.E-1, 0.   ,  0,0,0} & N=N+1

;D_par[N] = {parametre,'Beta 670nm      ' , 1, 6,'deg'    ,0.5  ,-45.  ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Beta 865nm      ' , 1, 7,'deg'    ,0.5  ,-45.  ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Paer 670nm      ' , 2, 8,'no unit',1.E-3, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Paer 865nm      ' , 2,10,'no unit',1.E-3, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Qaer 670nm      ' , 2,12,'no unit',1.E-3,-1.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Qaer 865nm      ' , 2,14,'no unit',1.E-3,-1.   ,  0,0,0} & N=N+1

;D_par[N] = {parametre,'Ref. Mod. 443nm ' , 2,16,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Ref. Mes. 443nm ' , 2,18,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
D_par[N] = {parametre,'Ref. Mod. 490nm ' , 2,20,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[3]=N-1
D_par[N] = {parametre,'Ref. Mes. 490nm ' , 2,22,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[0]=N-1

;D_par[N] = {parametre,'Q.   Mod. 490nm ' , 2,24,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Q.   Mes. 490nm ' , 2,26,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mod. 490nm ' , 2,28,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mes. 490nm ' , 2,30,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp.  Mod. 490nm ' , 2,32,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[9]=N-1
D_par[N] = {parametre,'Rp.  Mes. 490nm ' , 2,34,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[6]=N-1
;D_par[N] = {parametre,'Ref. Mod. 565nm ' , 2,36,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Ref. Mes. 565nm ' , 2,38,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
D_par[N] = {parametre,'Ref. Mod. 670nm ' , 2,40,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[4]=N-1
D_par[N] = {parametre,'Ref. Mes. 670nm ' , 2,42,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[1]=N-1

;D_par[N] = {parametre,'Q.   Mod. 670nm ' , 2,44,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Q.   Mes. 670nm ' , 2,46,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mod. 670nm ' , 2,48,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mes. 670nm ' , 2,50,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp.  Mod. 670nm ' , 2,52,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[10]=N-1
D_par[N] = {parametre,'Rp.  Mes. 670nm ' , 2,54,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[7]=N-1
D_par[N] = {parametre,'Ref. Mod. 865nm ' , 2,56,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[5]=N-1
D_par[N] = {parametre,'Ref. Mes. 865nm ' , 2,58,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[2]=N-1

;D_par[N] = {parametre,'Q.   Mod. 865nm ' , 2,60,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Q.   Mes. 865nm ' , 2,62,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mod. 865nm ' , 2,64,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'U.   Mes. 865nm ' , 2,66,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp.  Mod. 865nm ' , 2,68,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P[11]=N-1
D_par[N] = {parametre,'Rp.  Mes. 865nm ' , 2,70,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1 & P [8]=N-1
;D_par[N] = {parametre,'Ref. Mod. 1020nm' , 2,72,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Ref. Mes. 1020nm' , 2,74,   '%'   ,1.E-2 ,-100.,  0,0,0} & N=N+1

Nd_par = N  
D_par = D_par[0:N-1]
;D_par = A
;--------------------------------------------------------------------------------
; Definition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}
;--------------------------------------------------------------------------------
; Definition des combinaisons "directionnel"
Ncd_par = 4    ;  Number of Multi-parameter non directional
Cd_par = replicate({combi},Ncd_par) ; Definition of directional products
Cd_par[0] = {combi,'CompColor RefMes'  ,P[ 2],P[ 1],P[ 0]}
Cd_par[1] = {combi,'CompColor RefMod'  ,P[ 5],P[ 4],P[ 3]}
Cd_par[2] = {combi,'CompColor RefPMes' ,P[ 8],P[ 7],P[ 6]}
Cd_par[3] = {combi,'CompColor RefPMod' ,P[11],P[10],P[ 9]}

IF parasol THEN $
product={type:'L2TOGV',resol:6,Nbyte_tot:1271,Nbyte_nd:55,Nbyte_d:76,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par} $
ELSE $
product={type:'L2TOGV',resol:6,Nbyte_tot:1119,Nbyte_nd:55,Nbyte_d:76,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}


RETURN,product
END
