FUNCTION define_L2TRGB,PARASOL=parasol
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre.  En fait, le nombre est reduit apres avoir dfini la liste
U_par = replicate({parametre},Nu_par) ; Definition of Un directional products

N = 0
U_par[N] = {parametre,'Altitude'       ,-2, 10,'meters' ,1. 	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Spxtype+snow'   , 1, 12,'no unit',1. 	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'DQStrait'       , 2, 13,'no unit',1.  	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'UTC hour'       , 1, 15,'hours'  ,1. 	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'UTC minute'     , 1, 16,'minutes',1. 	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb view Dir'    , 1, 17,'no unit',1. 	, 0. , 0,0,0} & N=N+1
; parametres non directionnels a codage special (1/2 octet)
U_par[N] = {parametre,'#dir Rayleigh P',-5, 18,'no unit',1.  	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'# pix in SuperP', 5, 18,'no unit',1.  	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'ind Min_Glit'   ,-5, 19,'no unit',1.  	, 0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'ind Max_Glit'   , 5, 19,'no unit',1.  	, 0. , 0,0,0} & N=N+1

U_par[N] = {parametre,'Cos Sol Ang.'   , 1, 20,'no unit',4.E-3	,0.2 , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Albedo'    , 2, 21,'%'      ,1.E-2	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel Sp Dsp Alb' , 1, 23,'%'      ,0.2 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel Ang Dsp Alb', 1, 24,'%'      ,0.2 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Qual Ind Alb'   , 1, 25,'no unit',0.4 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Scene Albedo'   , 2, 26,'%'      ,1.E-2	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Ang Dsp Sc. Alb', 1, 28,'%'      ,0.2 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Clear Albedo'   , 1, 29,'%'      ,4.E-1	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean SW Albedo' , 2, 30,'%'      ,1.E-2	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Clear SW Albedo', 1, 32,'%'      ,4.E-1	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cloud Cover'    , 1, 33,'%'      ,0.5 	,0.  , 0,0,0} & N=N+1
; parametres non directionnels a codage special (1/2 octet)
U_par[N] = {parametre,'Frac Unc->Clr'  ,-5, 34,'%'      ,20/3.  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Frac Unc->Cld'  , 5, 34,'%'      ,20/3.  , 0. ,  0,0,0} & N=N+1

U_par[N] = {parametre,'Qual Cld Cover' , 1, 35,'no unit',1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Clr Sky H2O Vap', 1, 36,'g.cm-2' ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Std Dev H2O vap', 1, 37,'g.cm-2' ,0.01	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld O2 pressure', 1, 38,'hPa'    ,5. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Ang Dsp O2 pres', 1, 39,'hPa'    ,2.5 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Rayl pressu', 1, 40,'hPa'    ,5. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Ang Dsp Rayl pr', 1, 41,'hPa'    ,2.5 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Opt. Thic'  , 2, 42,'no unit',0.01	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel Sp Dsp OpTh', 1, 44,'%'      ,0.4 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Coef Heter OpTh', 1, 45,'no unit',0.002 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Sph Albedo' , 1, 46,'%'      ,4.E-1	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cloud Phase'    , 1, 47,'no unit',1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Crystal index'  , 1, 48,'no unit',1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Top O2 pres', 2, 49,'hPa'    ,1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Mid O2 pres', 2, 51,'hPa'    ,1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld GeoTh AngDsp',2, 53,'m'      ,1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Geom Thic.' , 2, 55,'m'      ,1. 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cld Mlt Lay.Flag',1, 57,'%'      ,1. 	,0.  , 0,0,0} & N=N+1

U_par[N] = {parametre,'Stra.ae.opt.thi', 1, 58,'no unit',0.001	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'O3 Meteo Cnt'   , 1, 59,'cm.atm' ,0.002	,0.1 , 0,0,0} & N=N+1
U_par[N] = {parametre,'Meteo Wind Spd' , 1, 60,'m/s'    ,0.5 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Meteo Wind dir' , 1, 61,'Deg'    ,1.5 	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Surf Meteo Pr'  , 1, 62,'hPa'    ,4. 	,100., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 1000hPa', 1, 63,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 925 hPa', 1, 64,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 850 hPa', 1, 65,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 700 hPa', 1, 66,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 500 hPa', 1, 67,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 400 hPa', 1, 68,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 300 hPa', 1, 69,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 250 hPa', 1, 70,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 200 hPa', 1, 71,'K'    	,1. 	,150., 0,0,0} & N=N+1
U_par[N] = {parametre,'TempMet 150 hPa', 1, 72,'K'    	,1. 	,150., 0,0,0} & N=N+1

U_par[N] = {parametre,'Uh2oMet 1000hPa', 1, 73,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 925 hPa', 1, 74,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 850 hPa', 1, 75,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 700 hPa', 1, 76,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 500 hPa', 1, 77,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 400 hPa', 1, 78,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 300 hPa', 1, 79,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 250 hPa', 1, 80,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 200 hPa', 1, 81,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1
U_par[N] = {parametre,'Uh2oMet 150 hPa', 1, 82,'g/cm2'  ,0.03	,0.  , 0,0,0} & N=N+1

; Ci dessous, on rduit le nombre de paramtre en fonction de ce qui a t gard
U_par = U_par[0:N-1] & Nu_par=N

;--------------------------------------------------------------------- -----------
; Dfinition des parametres directionnels
Nd_par = 99   ;  Number of directional products
D_par = replicate({parametre},Nd_par) ; Definition of Un directional products

N =0
D_par[N] = {parametre,'D Mean Cor Refl'	, 2,  2,'%'    ,1.E-2	,0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'D Mean Albedo'	, 2,  4,'%'    ,1.E-2	,0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'D Mean SW Refl'	, 2,  6,'%'    ,1.E-2	,0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'D Mean SW Albedo', 2,  8,'%'    ,1.E-2	,0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'D 865 Pol Rad'	, 1, 10,'%'    ,8.E-2	,-5.  ,  0,0,0} & N=N+1
; parametres  directionnels a codage speciaux (1/2 octet)
D_par[N] = {parametre,'Nb Cloudy pix.'  ,-5, 11,'%'    ,20/3.   ,0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Nb Clear pix.'   , 5, 11,'%'    ,20/3.   ,0.   ,  0,0,0} & N=N+1

D_par[N] = {parametre,'D Cld Cover'  	, 1, 12,'%'      ,0.5   ,0.   ,  0,0,0} & N=N+1 
D_par[N] = {parametre,'D Cld Sph Albedo', 1, 13,'%' 	 ,0.4   ,0.   ,  0,0,0} & N=N+1

D_par = D_par[0:N-1] & Nd_par=N
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
;  resol est la resolution du produit (pixels par degres; 18, 6 ou 2)
;
IF parasol THEN $
  product={type:'L2TRGB',resol:6,Nbyte_tot:307,Nbyte_nd:83,Nbyte_d:14,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
            Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par} $
ELSE $
  product={type:'L2TRGB',resol:6,Nbyte_tot:279,Nbyte_nd:83,Nbyte_d:14,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
            Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}

RETURN,product
END
