FUNCTION define_L3TLGB,PARASOL=parasol
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) ; Definition of Un directional products
U_par[N] = {parametre,'Altitude'      ,-2,10,'meters' ,1.   , 0. ,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQS Nswath'    , 1,21,'no unit',1.   , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Sol. Zen. Ang.', 1,29,'deg.'   ,0.5  , 0. ,  0,0,0} & N=N+1
IF parasol THEN BEGIN $
  U_par[N] = {parametre,'490 nm DRH'    , 1,30,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N1=N-1
  U_par[N] = {parametre,'565 nm DRH'    , 1,34,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N2=N-1
  U_par[N] = {parametre,'670 nm DRH'    , 1,38,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N3=N-1
  U_par[N] = {parametre,'765 nm DRH'    , 1,42,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'865 nm DRH'    , 1,46,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N4=N-1
  U_par[N] = {parametre,'Vis    DRH'    , 1,50,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'NIR    DRH'    , 1,54,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'SW     DRH'    , 1,58,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'490 nm BDRH'   , 1,32,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N5=N-1
  U_par[N] = {parametre,'565 nm BDRH'   , 1,36,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N6=N-1
  U_par[N] = {parametre,'670 nm BDRH'   , 1,40,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N7=N-1
  U_par[N] = {parametre,'765 nm BDRH'   , 1,44,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'865 nm BDRH'   , 1,48,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N8=N-1
  U_par[N] = {parametre,'Vis    BDRH'   , 1,52,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'NIR    BDRH'   , 1,56,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'SW     BDRH'   , 1,60,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'490nm DRH err' , 1,31,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'565nm DRH err' , 1,35,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'670nm DRH err' , 1,39,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'765nm DRH err' , 1,43,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'865nm DRH err' , 1,47,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'Visnm DRH err' , 1,51,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'NIRnm DRH err' , 1,55,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'SW nm DRH err' , 1,59,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'490nm BDRHerr' , 1,33,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'565nm BDRHerr' , 1,37,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'670nm BDRHerr' , 1,41,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'765nm BDRHerr' , 1,45,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'865nm BDRHerr' , 1,49,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'Visnm BDRHerr' , 1,53,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'NIRnm BDRHerr' , 1,57,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
;   U_par[N] = {parametre,'SW nm BDRHerr' , 1,61,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'NDVI'          , 1,62,'no unit',0.005,-0.2,  0,0,0} & N=N+1
  U_par[N] = {parametre,'LAI (NN)     ' , 1,64,'no unit',0.05 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'LAI (LR)     ' , 1,66,'no unit',0.05 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'Veg. Cover   ' , 1,68,'no unit',0.005, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'Veg. Cover LR' , 1,70,'no unit',0.005, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'Fapar        ' , 1,72,'no unit',0.005, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'Clumping ind.' , 1,74,'no unit',0.01 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err NDVI'      , 1,63,'no unit',0.001, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err LAI (NN) ' , 1,65,'no unit',0.05 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err LAI (LR) ' , 1,67,'no unit',0.05 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err Veg. Cover', 1,69,'no unit',0.001, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err Veg Cov LR', 1,71,'no unit',0.001, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err Fapar'     , 1,73,'no unit',0.001, 0. ,  0,0,0} & N=N+1
ENDIF ELSE BEGIN
  U_par[N] = {parametre,'443 nm Albedo' , 1,30,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N1=N-1
  U_par[N] = {parametre,'565 nm Albedo' , 1,32,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N2=N-1
  U_par[N] = {parametre,'670 nm Albedo' , 1,34,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N3=N-1
  U_par[N] = {parametre,'765 nm Albedo' , 1,36,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'865 nm Albedo' , 1,38,'%'      ,0.5  , 0. ,  0,0,0} & N=N+1 & N4=N-1
  U_par[N] = {parametre,'NDVI'          , 1,40,'no unit',0.005,-0.2,  0,0,0} & N=N+1
  U_par[N] = {parametre,'LAI          ' , 1,42,'no unit',0.05 , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'Veg. Cover   ' , 1,44,'no unit',0.005, 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err 443 nm '   , 1,31,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1  
  U_par[N] = {parametre,'err 565 nm '   , 1,33,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err 670 nm '   , 1,35,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err 765 nm '   , 1,37,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err 865 nm '   , 1,39,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err NDVI'      , 1,41,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err LAI       ', 1,43,'%'      ,5.   , 0. ,  0,0,0} & N=N+1
  U_par[N] = {parametre,'err Veg. Cover', 1,45,'%'      ,0.1  , 0. ,  0,0,0} & N=N+1
ENDELSE
Nu_par = N  
U_par = U_par[0:N-1]
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
D_par = {parametre}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
IF parasol THEN BEGIN
  Nc_par = 4    ;  Number of Multi-parameter non directional
  C_par = replicate({combi},Nc_par)
  C_par[0] = {combi,'Comp  DRH VIS'  ,N3,N2,N1}
  C_par[1] = {combi,'Comp  DRH 3CHAN',N4,N3,N1}
  C_par[2] = {combi,'Comp BDRH VIS'  ,N7,N6,N5}
  C_par[3] = {combi,'Comp BDRH 3CHAN',N8,N7,N5}
ENDIF ELSE BEGIN
  Nc_par = 2    ;  Number of Multi-parameter non directional
  C_par = replicate({combi},Nc_par)
  C_par[0] = {combi,'CompColor VIS'  ,N3,N2,N1}
  C_par[1] = {combi,'CompColor 3CHAN',N4,N3,N1}
ENDELSE
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
IF parasol THEN BEGIN
  product={type:'L3TLGB',resol:18,Nbyte_tot:75,Nbyte_nd:75,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
ENDIF ELSE BEGIN
  product={type:'L3TLGB',resol:18,Nbyte_tot:46,Nbyte_nd:46,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
           Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
ENDELSE
RETURN,product
END
