FUNCTION define_L2TOGU
; Dfinition des parametres non directionnels
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) 
U_par[N] = {parametre,'Solar Zenith'     ,  2,13,'deg.'   ,0.1   ,  0.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Azim'       ,  1,15,'deg.'   ,1.42  ,  0.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Nb obs.'          ,  1,16,'no unit',1.    ,  0.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'ecart type  865'  ,  1,17,'no unit',0.0005,  0.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fit spec dir mods',  2,18,'no unit',0.0005,  0.  ,  0,0,0} & N=N+1
Nu_par = N  
U_par = U_par[0:N-1]
;U_par  = A  ;  Pas de parametre non-directionnel ici
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 99   ;  Number of directional products
D_par = replicate({parametre},Nd_par) ; Definition of Un directional products
N = 0
;D_par[N] = {parametre,'Zenith View.'     , 2, 0,'deg.',1.E-1,  0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Relative Azim.'   , 2, 2,'deg.',2.E-1,  0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Diffusion'        , 2, 4,'deg.',2.E-1,  0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Ref Mar cor 670'  , 2, 6,'%'   ,2.E-2, -1.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Ref Mar cor 765'  , 2, 8,'%'   ,2.E-2, -1.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum cor 443'      , 1,10,'%'   ,1.E-1, -10.  ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum cor 490'      , 1,11,'%'   ,4.E-1, -10.  ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum cor 565'      , 1,12,'%'   ,1.E-1, -10.  ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum cor 670'      , 1,13,'%'   ,1.E-1, -10.  ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum aer cal 443'  , 1,14,'%'   ,1.E-1,  0.   ,  0,0,0} & N=N+1 & N1=N-1
D_par[N] = {parametre,'Lum aer cal 490'  , 1,15,'%'   ,1.E-1,  0.   ,  0,0,0} & N=N+1 & N2=N-1
D_par[N] = {parametre,'Lum aer cal 565'  , 1,16,'%'   ,1.E-1,  0.   ,  0,0,0} & N=N+1 & N3=N-1
D_par[N] = {parametre,'Lum aer cal 670'  , 1,17,'%'   ,1.E-1,  0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Lum aer cal 865'  , 1,18,'%'   ,1.E-1,  0.   ,  0,0,0} & N=N+1
Nd_par = N  
D_par = D_par[0:N-1]
;D_par = A
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 1    ;  Number of Multi-parameter non directional
Cd_par = replicate({combi},Ncd_par) ; Definition of directional products
Cd_par[0] = {combi,'CompColor VIS'  ,N3,N2,N1}
;
product={type:'L2TOGU',resol:18,Nbyte_tot:286,Nbyte_nd:20,Nbyte_d:19,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
RETURN,product
END