FUNCTION define_L2TLGV,PARASOL=parasol
COMMON COM_L2TLGV,Q
; Definition of Un directional products
Nu_par = 99  ;  Number
N = 0
U_par = replicate({parametre},Nu_par) 

;U_par[N] = {parametre,'Ligne    '        ,2,6,'no unit' ,1.   ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'Colonne  '        ,2,8,'no unit' ,1.   ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'Altitude'        ,-2,10,'meters' ,1.   ,0.,  0,0,0} & N=N+1

;U_par[N] = {parametre,'Latitude    '     ,2,13,'no unit',0.1, -90.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'Longitude   '     ,2,15,'no unit',0.1,   0.,  0,0,0} & N=N+1

U_par[N] = {parametre,'Solar Zenith'     ,2,17,'deg.'    ,0.1  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Azim'       ,1,19,'deg.'    ,1.42 ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'nb dir valide'    ,1,20,'no unit' ,1.   ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'nb pix ds Spix'   ,1,21,'no unit' ,1.   ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'ndvi          '   ,1,22,'no unit' ,0.01 ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'geotype       '   ,1,23,'no unit' ,1.   ,0.,  0,0,0} & N=N+1

;U_par[N] = {parametre,'DQX1-Cent_pixel' ,18,27,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer1'       ,11,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer2'       ,12,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer3'       ,13,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer4'       ,14,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-glint'      ,15,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Snow'       ,16,25,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX4-IQaer'      , 1,24,'no unit',1.  ,0.,  0,0,0} & N=N+1

U_par[N] = {parametre,'Opt. Thickness'  , 2,28,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Refrac. Index'   , 1,30,'no unit',0.01 ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Anstrom Coef.'   , 1,31,'no unit',0.014,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aerosol Index'   , 2,32,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fixed Model OT'  , 2,34,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Measurement QI'  , 2,36,'no unit',1.   ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Inversion QI'    , 1,38,'no unit',1.   ,0.,  0,0,0} & N=N+1

U_par[N] = {parametre,'rms restitution' , 1,39,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 1'    , 1,40,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 2'    , 1,41,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 3'    , 1,42,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 4'    , 1,43,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 5'    , 1,44,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 6'    , 1,45,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 7'    , 1,46,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 8'    , 1,47,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 9'    , 1,48,'no unit',0.0001,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'eps modele 10'   , 1,49,'no unit',0.0001,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'num mod retenu'  , 1,50,'no unit',1.    ,0.,  0,0,0} & N=N+1


Nu_par = N  
U_par = U_par[0:N-1]
;U_par  = A  ;  Pas de parametre non-directionnel ici
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 99   ;  Number of directional products
N = 0
Q = INTARR(7)
D_par = replicate({parametre},Nd_par) 

;D_par[N] = {parametre,'Zenith View.'     , 2, 0,'deg.'   ,1.E-1, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Relative Azim.'   , 2, 2,'deg.'   ,1.E-1, 0.   ,  0,0,0} & N=N+1
;D_par[N] = {parametre,'Diffusion'        , 2, 4,'deg.'   ,1.E-1, 0.   ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Q443 mes' , 2, 6,'%'      ,0.01 ,-100.  ,  0,0,0} & N=N+1 & N1=N-1 & IF parasol THEN D_par[N-1].name='Q490 mes'
D_par[N] = {parametre,'Q670 mes' , 2, 8,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Q865 mes' , 2,10,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'U443 mes' , 2,12,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & N1=N-1 & IF parasol THEN D_par[N-1].name='U490 mes'
D_par[N] = {parametre,'U670 mes' , 2,14,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'U865 mes' , 2,16,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp443 mes', 2,18,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[0]=N-1 & N1=N-1 & IF parasol THEN D_par[N-1].name='Rp490 mes'
D_par[N] = {parametre,'Rp670 mes', 2,20,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[1]=N-1
D_par[N] = {parametre,'Rp865 mes', 2,22,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[2]=N-1
D_par[N] = {parametre,'Rp443 mol', 2,24,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & N1=N-1 & IF parasol THEN D_par[N-1].name='Rp490 mol'
D_par[N] = {parametre,'Rp670 mol', 2,26,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp865 mol', 2,28,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1
D_par[N] = {parametre,'Rp surf'  , 2,30,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[6]=N-1 
D_par[N] = {parametre,'Rp443 mod', 2,32,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[3]=N-1 & N1=N-1 & IF parasol THEN D_par[N-1].name='Rp490 mod'
D_par[N] = {parametre,'Rp670 mod', 2,34,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[4]=N-1
D_par[N] = {parametre,'Rp865 mod', 2,36,'%'      ,0.01 ,-100. ,  0,0,0} & N=N+1 & Q[5]=N-1
Nd_par = N  
D_par = D_par[0:N-1]
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}  
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
;  resol est la resolution du produit (pixels par degres; 18, 6 ou 2)
;
IF parasol THEN $
product={type:'L2TLGV',resol:6,Nbyte_tot:659,Nbyte_nd:51,Nbyte_d:38,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par} $
ELSE $
product={type:'L2TLGV',resol:6,Nbyte_tot:583,Nbyte_nd:51,Nbyte_d:38,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}

RETURN,product
END
