FUNCTION define_L3TRGB

; Dfinition des parametres non directionnels
U_par = replicate({parametre},99) ; Definition of Undirectional products

; parametres les plus significatifs
N = 0
U_par[N] = {parametre,'Altitude'      ,-2, 10,'meters' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Spxtype'       , 1, 12,'no unit',1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb days w. obs', 1, 13,'days'   ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Total nb obs.' , 2, 14,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb snow/ice'   , 2, 16,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb clear sky'  , 2, 18,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb cloudy sky' , 2, 20,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb Opt. T. Est', 2, 22,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb O2 pres Est', 2, 24,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb Rayl P. Est', 2, 26,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb Cld Phase E', 2, 28,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Nb Wat. Vap E.', 2, 30,'orbits' ,1.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cos Sol Ang.'  , 1, 32,'no unit',4.E-3 ,0.2, 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Albedo'   , 2, 33,'%'      ,1.E-2 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Albedo'    , 1, 35,'%'      ,2.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Clear sky Alb' , 2, 36,'%'      ,1.E-2 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Cl sky Alb', 1, 38,'%'      ,2.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mod Clear Alb.', 1, 39,'%'      ,5.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean SW Albedo', 2, 40,'%'      ,1.E-2 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp SW Albedo' , 1, 42,'%'      ,2.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Clr Sky SW Alb', 2, 43,'%'      ,1.E-2 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Clr SW Alb', 1, 45,'%'      ,2.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mod Cl SW Alb.', 1, 46,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Incoming Sol ' , 2, 47,'W/m2'   ,1.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Refl. SW Flux' , 2, 49,'W/m2'   ,1.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Cloud Forcing' , 2, 51,'W/m2'   ,1.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Cld Cover', 1, 53,'%'      ,0.5   ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Cld Cover' , 1, 54,'%'      ,0.5   ,0. , 0,0,0} & N=N+1
; parametres non directionnels a codage special (1/2 octet)
U_par[N] = {parametre,'Frac Unc->Clr' , 5, 55,'%'      ,20/3. ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Frac Unc->Cld' ,-5, 55,'%'      ,20/3. ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Wat. Vap.', 1, 56,'g.cm-2' ,0.03  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Water Vap.', 1, 57,'g.cm-2' ,0.03  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Cor O2 P.', 1, 58,'hPa'    ,5.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Cor O2 P.' , 1, 59,'hPa'    ,5.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Rayl Pres', 1, 60,'hPa'    ,5.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Rayl Pres.', 1, 61,'hPa'    ,5.    ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Opt. Thi.', 2, 62,'no unit',0.01  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel Dsp Opt.T' , 1, 64,'%'      ,0.4   ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Opt. Thic Liq' , 2, 65,'no unit',0.01  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Opt. Thic Ice' , 2, 67,'no unit',0.01  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Opt. Thic Mixt', 2, 69,'no unit',0.01  ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Mean Sph Albed', 1, 71,'%'      ,0.4   ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Dsp Sph Albedo', 1, 72,'%'      ,0.4   ,0. , 0,0,0} & N=N+1

U_par[N] = {parametre,'Rel. Freq. Unk', 1, 73,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. Liq', 1, 74,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. Ice', 1, 75,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. Mix', 1, 76,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1

U_par[N] = {parametre,'Rel. Freq. S1' , 1, 77,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S2' , 1, 78,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S3' , 1, 79,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S4' , 1, 80,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S5' , 1, 81,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S6' , 1, 82,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1
U_par[N] = {parametre,'Rel. Freq. S7' , 1, 83,'%'      ,4.E-1 ,0. , 0,0,0} & N=N+1

Nu_par = N  ;  Nombre
U_par = U_par[0:N-1]


;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
D_par = {parametre}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
product={type:'L3TRGB',resol:6,Nbyte_tot:84,Nbyte_nd:84,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
RETURN,product
END
